## org.apache.http.conn.scheme
Interface HostNameResolver

Deprecated. Do not use

    @Deprecated
    public interface HostNameResolver

Hostname to IP address resolver.

Since:
  4.0

Method Summary
`InetAddress` `resolve(String hostname)` Deprecated. Resolves given hostname to its IP address

Method Detail

### resolve

    InetAddress resolve(String hostname)
                        throws IOException

  Deprecated.
  Resolves given hostname to its IP address

  Parameters:
    `hostname` - the hostname.
  Returns:
    IP address.
  Throws:
    `IOException`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.